
QGIS Application - Bug report #11589

Diagram labeling doesn't work when 'on the fly' CRS transformation is enabled

2014-11-06 03:03 PM - Michal Torma

Status: Closed

Priority: High

Assignee:

Category: Diagrams

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19848

Description

Diagrams appear on different place than points when CRS transformation is enabled. Painful when using open layers plugin (fixed on

EPSG:3857). Possible workaround is to transform all vector layers to the same CRS and disable on the fly transformation.

Associated revisions

Revision c69f1533 - 2015-02-20 09:23 AM - Martin Dobias

Fix #11589 - diagrams with OTF reprojection

History

#1 - 2015-02-06 03:37 AM - Olivier Dalang

Can't we flag this as a blocker ? (or at least high priority ?)

It makes the whole diagram feature unusable in a lot of projects... (and it's probably a not-too-hard fix for experienced devs)

#2 - 2015-02-07 02:03 AM - Giovanni Manghi

- Affected QGIS version changed from 2.6.0 to master

- Priority changed from Normal to High

- Category set to Diagrams

raising the priority, but not sure that this will raise the attention of someone. Diagrams is one of those components that is not getting much interest/attention

like the georeferencer, or the raster calculator.

#3 - 2015-02-20 12:25 AM - Martin Dobias

- Status changed from Open to Closed

Fixed in changeset commit:"c69f1533274fd395ddb7b446cfbef53dcb16249a".
